API ReferenceChangelog
Log In
API Reference

Start video processing

Initiates the processing of the specified video with options specified in the query parameters and request body.

A new video, identified by the videoId returned in the response, is created. This videoId should be used to track the asynchronous processing operation using:

Path Params
uuid
required

The unique identifier for the video.

Query Params
string
length between 1 and 255

Specifies the name of the video. If not provided, the name will be derived from the source video.

string
length between 0 and 511

Optional description for the video.

int32
≥ 0

Specifies the start position of the source video for processing, in milliseconds. Defaults to the start of the source video. Providing a value greater than (source video duration or EndPositionMillisecondsParam) - 1000 results in a 400 Bad Request response.

int32
≥ 1000

Specifies the end position of the source video for processing, in milliseconds. Defaults to the end of the source video.

  • If the specified value exceeds the source video duration, it will be adjusted to match the end of the source video.
  • Providing a value smaller than (StartPositionMillisecondsParam + 1000) results in a 400 Bad Request response.
Body Params

Request payload for processing a video, defining the configuration options and processing filters to apply.

Configuration parameters for video processing. This schema allows the specification of encoding profiles, encoding configurations, and filter options.

If an encodingProfile is specified, the encodingConfiguration is ignored.

Selecting specific encoding or filtering options is optional.

string
enum

The encoding profile used in the video encoding process, controlling the media container, codec, chroma subsampling, and bitrate.

If encodingProfile is set, encodingConfiguration should not be specified.

Available profiles:

Apple ProRes

  • PRORES_422_LT: Apple ProRes 422 (LT)
  • PRORES_422_STANDARD: Apple ProRes 422 (Standard)
  • PRORES_422_PROXY: Apple ProRes 422 (Proxy)
  • PRORES_422_HQ: Apple ProRes 422 (HQ)
  • PRORES_4444_STANDARD: Apple ProRes 4444 (Standard)
  • PRORES_4444_XQ: Apple ProRes 4444 (XQ)

Avid DNxHD

  • DNXHD_36_LB: Avid DNxHD 36 (Low Bandwidth)
  • DNXHD_45_LB: Avid DNxHD 45 (Low Bandwidth)
  • DNXHD_75_LB: Avid DNxHD 75 (Low Bandwidth)
  • DNXHD_90_LB: Avid DNxHD 90 (Low Bandwidth)
  • DNXHD_115_SQ: Avid DNxHD 115 (Standard Quality)
  • DNXHD_120_SQ: Avid DNxHD 120 (Standard Quality)
  • DNXHD_145_SQ: Avid DNxHD 145 (Standard Quality)
  • DNXHD_240_SQ: Avid DNxHD 240 (Standard Quality)
  • DNXHD_290_SQ: Avid DNxHD 290 (Standard Quality)
  • DNXHD_175_HQ: Avid DNxHD 175 (High Quality)
  • DNXHD_185_HQ: Avid DNxHD 185 (High Quality)
  • DNXHD_220_HQ: Avid DNxHD 220 (High Quality)
  • DNXHD_365_HQ: Avid DNxHD 365 (High Quality)
  • DNXHD_440_HQ: Avid DNxHD 440 (High Quality)
  • DNXHD_175X_HQX: Avid DNxHD 175X (High Quality Extended)
  • DNXHD_185X_HQX: Avid DNxHD 185X (High Quality Extended)
  • DNXHD_220X_HQX: Avid DNxHD 220X (High Quality Extended)
  • DNXHD_365X_HQX: Avid DNxHD 365X (High Quality Extended)
  • DNXHD_440X_HQX: Avid DNxHD 440X (High Quality Extended)
  • DNXHD_350X_444: Avid DNxHD 350X (4:4:4)
  • DNXHD_390X_444: Avid DNxHD 390X (4:4:4)
  • DNXHD_440X_444: Avid DNxHD 440X (4:4:4)
  • DNXHD_730X_444: Avid DNxHD 730X (4:4:4)
  • DNXHD_880X_444: Avid DNxHD 880X (4:4:4)

Avid DNxHR

  • DNXHR_LB: Avid DNxHR LB (Low Bandwidth)
  • DNXHR_SQ: Avid DNxHR SQ (Standard Quality)
  • DNXHR_HQ: Avid DNxHR HQ (High Quality)
  • DNXHR_HQX: Avid DNxHR HQX (High Quality Extended)
  • DNXHR_444: Avid DNxHR 444 (4:4:4)
encodingConfiguration
object

Configuration options for encoding a video, allowing detailed control over the encoding process. Should not be used in conjunction with encodingProfile.

string
enum

The media container format for the video. Some containers only support specific codecs. Specifying an unsupported codec for a container will result in a 400 Bad Request response.

Supported codecs by container:

  • MOV: H264, PRORES, DNXHD, HEVC, MPEG2, FFV1
  • MXF: H264, XDCAM, MPEG2, DNXHD
  • MP4: H264, HEVC
  • MPEGTS: H264, HEVC, MPEG2
Allowed:
filters
object

Specifies the filters to apply to the video. To disable a specific filter, set its value to null or remove the corresponding field.

filterSettings
object

Additional settings for video filters. These settings allow customization of specific filter behaviors, such as cropping coordinates, deinterlacing modes, and resolution adjustments.

processingSettings
object

Additional processing settings for input and output color space conversions, tone mapping, and fixed output resolutions. These settings ensure precise control over colorimetry and dynamic range transformations during video processing.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*